VERSION 5.00
Begin VB.Form frmCustom 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Custom Fields Entry"
   ClientHeight    =   1770
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3555
   ControlBox      =   0   'False
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1770
   ScaleWidth      =   3555
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtMines 
      Height          =   315
      Left            =   1080
      TabIndex        =   4
      Top             =   1200
      Width           =   975
   End
   Begin VB.TextBox txtWidth 
      Height          =   315
      Left            =   1080
      TabIndex        =   3
      Top             =   720
      Width           =   975
   End
   Begin VB.TextBox txtHeight 
      Height          =   315
      Left            =   1080
      TabIndex        =   2
      Top             =   240
      Width           =   975
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2280
      TabIndex        =   1
      Top             =   720
      Width           =   975
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   2280
      TabIndex        =   0
      Top             =   240
      Width           =   975
   End
   Begin VB.Label lblMines 
      Caption         =   "&Mines"
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   1200
      Width           =   975
   End
   Begin VB.Label lblWidth 
      Caption         =   "&Width"
      Height          =   255
      Left            =   240
      TabIndex        =   6
      Top             =   720
      Width           =   975
   End
   Begin VB.Label lblHeight 
      Caption         =   "&Height"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   240
      Width           =   855
   End
End
Attribute VB_Name = "frmCustom"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim wrkHeight As Integer
Dim wrkMines As Integer
Dim wrkWidth As Integer


Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOK_Click()
    If wrkHeight = 0 Or wrkMines = 0 Or wrkWidth = 0 Then
        Beep
        txtHeight.SetFocus
    Else
        CellsDown = wrkHeight
        CellsAcross = txtWidth.Text
        BombNbr = wrkMines
        Unload Me
    End If
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
Select Case Chr(KeyAscii)
    Case "H", "h"
        KeyAscii = 0
        txtHeight.SetFocus
    Case "W", "w"
        KeyAscii = 0
        txtWidth.SetFocus
    Case "M", "m"
        KeyAscii = 0
        txtMines.SetFocus
    Case Else
End Select
End Sub

Private Sub Form_Load()
    wrkHeight = CellsDown
    wrkMines = BombNbr
    wrkWidth = CellsAcross
    txtHeight.Text = CellsDown
    txtWidth.Text = CellsAcross
    txtMines.Text = BombNbr
End Sub
 

Private Sub txtHeight_GotFocus()
    With txtHeight
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtHeight_KeyPress(KeyAscii As Integer)
    If Chr(KeyAscii) < "0" Or Chr(KeyAscii) > "9" Then
        KeyAscii = 0
        Beep
        txtHeight.SetFocus
    End If
End Sub

Private Sub txtHeight_Validate(Cancel As Boolean)
    With txtHeight
        If .Text = "" Then
            .Text = wrkHeight
        ElseIf IsNumeric(.Text) Then
            If CInt(.Text) < 8 Or CInt(.Text) > 24 Then
                Call txtHeight_GotFocus
                Beep
                Cancel = True
            Else
                wrkHeight = CInt(.Text)
            End If
        Else
            Call txtHeight_GotFocus
            Beep
            Cancel = True
        End If
    End With
End Sub

Private Sub txtMines_GotFocus()
    With txtMines
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtMines_KeyPress(KeyAscii As Integer)
    If Chr(KeyAscii) < "0" Or Chr(KeyAscii) > "9" Then
        KeyAscii = 0
        Beep
        txtMines.SetFocus
    End If
End Sub

Private Sub txtMines_Validate(Cancel As Boolean)
    With txtMines
        If .Text = "" Then
            .Text = wrkMines
        ElseIf IsNumeric(.Text) Then
            If CInt(.Text) < 10 Or _
              CInt(.Text) > CInt(((CellsAcross * CellsDown) * 0.92)) Then
                Call txtMines_GotFocus
                Beep
                Cancel = True
            Else
                wrkMines = CInt(.Text)
            End If
        Else
            Call txtMines_GotFocus
            Beep
            .SetFocus
        End If
    End With
End Sub

Private Sub txtWidth_GotFocus()
    With txtWidth
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtWidth_KeyPress(KeyAscii As Integer)
    With txtWidth
        If Chr(KeyAscii) < "0" Or Chr(KeyAscii) > "9" Then
           KeyAscii = 0
            Beep
            .SetFocus
        End If
    End With
End Sub

Private Sub txtWidth_Validate(Cancel As Boolean)
    With txtWidth
        If .Text = "" Then
            .Text = wrkWidth
        ElseIf IsNumeric(.Text) Then
            If CInt(.Text) < 8 Or CInt(.Text) > 30 Then
                Call txtWidth_GotFocus
                Beep
                .SetFocus
            Else
                wrkWidth = CInt(.Text)
            End If
        Else
        Call txtWidth_GotFocus
            Call txtWidth_GotFocus
            Beep
            Cancel = True
        End If
    End With
End Sub
